aboutsummaryrefslogtreecommitdiffstats
path: root/add-service
diff options
context:
space:
mode:
Diffstat (limited to 'add-service')
-rwxr-xr-xadd-service30
1 files changed, 30 insertions, 0 deletions
diff --git a/add-service b/add-service
new file mode 100755
index 0000000..bdc1933
--- /dev/null
+++ b/add-service
@@ -0,0 +1,30 @@
+#!/bin/sh
+#---------------------------------------------------------------
+# Project : Mandrake Linux
+# Module : rpm-helper
+# File : add-service
+# Version : $Id$
+# Author : Frederic Lepied
+# Created On : Mon Jul 8 08:14:34 2002
+# Purpose : helper script for rpm scriptlets to add a
+# service.
+#---------------------------------------------------------------
+
+if [ $# != 3 ]; then
+ echo "usage: $0 <pkg name> <number installed> <service name>" 1>&2
+ exit 1
+fi
+
+pkg=$1 # name of the package
+num=$2 # number of packages installed
+srv=$3 # name of the service
+
+if [ $num = 1 ]; then
+ /sbin/chkconfig --add $srv
+else
+ if [ -f /var/lock/subsys/$srv ]; then
+ /sbin/service $srv restart > /dev/null 2>/dev/null || :
+ fi
+fi
+
+# add-service ends here